## qdevelop 0.27.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,6 @@
 # endif (HAS_OPTIMIZATION_FLAGS)
 
 ADD_DEFINITIONS( ${OPTIMIZATION_FLAGS} )
-
 
 # input files
 SET( qdevelop_UIS
@@ -217,3 +216,5 @@
 	${QT_QTXML_LIBRARY}
 	${QT_QTNETWORK_LIBRARY}
 )
+
+INSTALL (TARGETS ${QDEV} RUNTIME DESTINATION bin)
