## qdevelop 0.28

=== CMakeLists.txt ===
--- 
+++ 
@@ -150,6 +150,25 @@
 	resources/resources.qrc
 )
 
+SET( qdevelop_TS
+	resources/translations/QDevelop_Chinese.ts
+	resources/translations/QDevelop_Czech.ts
+	resources/translations/QDevelop_Dutch.ts
+	resources/translations/QDevelop_French.ts
+	resources/translations/QDevelop_German.ts
+	resources/translations/QDevelop_Hungarian.ts
+	resources/translations/QDevelop_Italian.ts
+	resources/translations/QDevelop_Japanese.ts
+	resources/translations/QDevelop_Polish.ts
+	resources/translations/QDevelop_Portuguese.ts
+	resources/translations/QDevelop_Russian.ts
+	resources/translations/QDevelop_Spanish.ts
+	resources/translations/QDevelop_Turkish.ts
+	resources/translations/QDevelop_Ukrainian.ts
+	resources/translations/QDevelop_Vietnamese.ts
+
+)
+
 
 FIND_PACKAGE( Qt4 REQUIRED )
 INCLUDE(${QT_USE_FILE})
@@ -166,6 +185,7 @@
 QT4_WRAP_CPP      ( qdevelop_MOC_SRCS     ${qdevelop_MOC_HDRS}  )
 QT4_ADD_RESOURCES ( qdevelop_RESOURCES    ${qdevelop_RESOURCES} )
 QT4_AUTOMOC       ( ${qdevelop_SRCS}                            )
+QT4_ADD_TRANSLATION ( qdevelop_QM         ${qdevelop_TS}        )
 
 # definitions for the project
 ADD_DEFINITIONS(
@@ -203,6 +223,7 @@
 	${qdevelop_MOC_SRCS} 
 	${qdevelop_UIS} 
 	${qdevelop_RESOURCES} 
+	${qdevelop_QM}
 )
 
 IF( MINGW )
@@ -217,4 +238,57 @@
 	${QT_QTNETWORK_LIBRARY}
 )
 
+# Plugins support
+
+IF (AUTOPLUGINS)
+	FILE (GLOB PLUGINS ${QDevelop_SOURCE_DIR}/plugins/*)
+	FOREACH (PLG ${PLUGINS})
+		STRING (REGEX MATCH \\.svn FAIL ${PLG})
+		STRING (COMPARE EQUAL "${FAIL}" "" IS_EMPTY)
+		IF (IS_EMPTY)
+			SET (PLG_HXX "")
+			SET (PLG_CXX "")
+			SET (PLG_UI "")
+			SET (PLG_MOC "")
+			SET (PLG_UIC "")
+			SET (PLG_TS "")
+			SET (PLG_QM "")
+		
+			STRING (REPLACE "${QDevelop_SOURCE_DIR}/plugins/" "" PLG_NAME ${PLG})
+			MESSAGE (STATUS "Preparing plugin ${PLG_NAME} for building")
+		
+			FILE (GLOB PLG_HXX ${PLG}/*.h)
+			FILE (GLOB PLG_CXX ${PLG}/*.cpp)
+			FILE (GLOB PLG_UI ${PLG}/*.ui)
+			FILE (GLOB PLG_TS ${PLG}/translations/*.ts)
+			QT4_ADD_TRANSLATION (PLG_QM ${PLG_TS})
+		
+			QT4_WRAP_CPP (PLG_MOC ${PLG_HXX})
+			QT4_WRAP_UI (PLG_UIC ${PLG_UI})
+		
+			ADD_LIBRARY (${PLG_NAME} SHARED ${PLG_CXX} ${PLG_MOC} ${PLG_UIC} ${PLG_QM})
+			TARGET_LINK_LIBRARIES (${PLG_NAME} ${QT_UITOOLSLIB} 
+				${QT_QTSQL_LIBRARY}
+				${QT_LIBRARIES}
+				${QT_QTXML_LIBRARY}
+				${QT_QTNETWORK_LIBRARY})
+			SET_TARGET_PROPERTIES (${PLG_NAME} PROPERTIES RUNTIME_OUTPUT_DIRECTORY plugins LIBRARY_OUTPUT_DIRECTORY plugins)
+			ADD_DEPENDENCIES (${PLG_NAME} ${QDEV})
+		
+			IF (WIN32)
+				INSTALL (TARGETS ${PLG_NAME} DESTINATION bin/plugins)
+				INSTALL (FILES ${PLG_QM} DESTINATION translations/${PLG_NAME})
+			ELSE (NOT WIN32)
+				INSTALL (TARGETS ${PLG_NAME} DESTINATION lib/qdevelop/plugins)
+				INSTALL (FILES ${PLG_QM} DESTINATION lib/qdevelop/translations/${PLG_NAME})
+			ENDIF (WIN32)
+		ENDIF (IS_EMPTY)
+	ENDFOREACH (PLG)
+ENDIF (AUTOPLUGINS)
+
 INSTALL (TARGETS ${QDEV} RUNTIME DESTINATION bin)
+IF (WIN32)
+	INSTALL (FILES ${qdevelop_QM} DESTINATION translations)
+ELSE (NOT WIN32)
+	INSTALL (FILES ${qdevelop_QM} DESTINATION lib/qdevelop/translations)
+ENDIF (WIN32)
