=== debian/changelog ===
qdevelop (0.28-0ubuntu1) maverick; urgency=low

  * New upstream version.
  * Build qdevelop plugins.
  * Switch to source format 3.0 (quilt).
  * Switch from cdbs to dh7 tiny.
  * Fix watch file.
  * Bump debian/compat to 7.
  * Bump Standards-Version to 3.8.4.
  * Update homepage.
  * Drop Vcs-* control fields as it's not used anymore.
  * Add fix_ftbfs_qt47.patch to fix FTBFS with Qt 4.7.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 26 Jun 2010 20:26:05 +0200

qdevelop (0.27.4-0ubuntu2) lucid; urgency=low

  * Fix build-buttons always being disabled. (LP: #471775)
    - Fix from upstream; applied inline.
    - http://code.google.com/p/qdevelop/source/detail?r=459

 -- Andreas Wenning <awen@awen.dk>  Tue, 03 Nov 2009 15:57:28 +0100

qdevelop (0.27.4-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: 354716)

 -- Andreas Wenning <awen@awen.dk>  Fri, 03 Apr 2009 20:37:33 +0200

qdevelop (0.26.1+svn090210-0ubuntu1) jaunty; urgency=low

  * New upstream SVN snapshot (LP: #326666, #243151)
  * debian/patches/kubuntu_01_add_qt4_suffix.patch:
    - removed, applied upstream
  * removed debian/patches since we don't ship patches anymore
  * debian/rules:
    - removed quilt build-dep
    - simplified get-orig-svn target: use svn export instead of svn co and rm
  * debian/copyright:
    - added new contributor Divius O'Naerro
    - fix copyright-with-old-dh-make-debian-copyright
  * debian/control:
    - fix debhelper-but-no-misc-depends

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 10 Feb 2009 11:56:04 +0100

qdevelop (0.26.1-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * debian/rules:
    - switch to quilt for patching
    - removed get-orig-source as qdevelop is now distributed with tar.gz
  * debian/control:
   - added build-dep on quilt
  * added debian/patches/series
  * debian/patches/kubuntu_01_add_qt4_suffix.patch:
    - Don't create a QFileInfo object to only use it one time.
      Instead, directly calls the exists() function on
      QFileInfo("/etc/debian_version")

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 11 Nov 2008 16:15:27 +0100

qdevelop (0.25.2+svn080826-0ubuntu2) intrepid; urgency=low

  * Fixed FTBFS due to debian/patches/kubuntu_01_add_qt4_suffix.patch

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 27 Aug 2008 00:26:56 +0200

qdevelop (0.25.2+svn080826-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot
  * debian/control:
    - Bumped Standards-Version to 3.8.0.1
  * debian/rules:
    - includes /usr/share/cdbs/1/rules/simple-patchsys.mk
  * added debian/patches/kubuntu_01_add_qt4_suffix.patch:
    - add "-qt4" suffix to tools like qmake or designer

 -- Guillaume Martres <smarter@ubuntu.com>  Tue, 26 Aug 2008 20:08:11 +0200

qdevelop (0.25.2+svn080522-0ubuntu1) intrepid; urgency=low

  * New upstream snapshot, fix bugs with Qt4.4
  * debian/rules:
    - added get-orig-svn target
  * debian/control:
    - added Depends on libqt4-sql-sqlite
    - added Vcs-* fields

 -- Guillaume Martres <smarter@ubuntu.com>  Fri, 23 May 2008 18:11:50 +0200

qdevelop (0.25.2-0ubuntu1) hardy; urgency=low

  * Initial release based on Daniel Rocher package (LP: #120739)

 -- Guillaume Martres <smarter@ubuntu.com>  Sun, 10 Feb 2008 14:00:24 +0100
