=== debian/control ===
Source: qdevelop
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Martres <smarter@ubuntu.com>
Build-Depends: debhelper (>= 7.4.10~), libqt4-dev, cmake
Standards-Version: 3.8.4
Homepage: http://biord-software.org/qdevelop/

Package: qdevelop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Recommends: gdb, exuberant-ctags, qt4-designer, qt4-dev-tools
Description: A development environment entirely dedicated to Qt4
 It consists of a Qt project manager, a source code editor, 
 build-automation tools by calling make command, and the gdb debugger.
 .
 QDevelop aims to be easy to use and does not try to compete with more
 complete tools, like kdevelop, which are often too complex. Its goal
 is simplicity, powerfulness and a same interface on all platforms.
