=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel $@

override_dh_auto_configure:
	dh_auto_configure -- -DAUTOPLUGINS=1

override_dh_makeshlibs:
	# don't call as we only have plugins
