=== debian/watch ===
version=3

http://biord-software.org/downloads/ qdevelop-v(.*)\.tar\.gz
